Skip to content
GET /static-gate/{id}

Path Parameters

idstring · uuid
required·

The ID of the static gate you want to retrieve.

Example: 1ba1f401-7183-47c5-9e39-e8e257e3c795

Query Parameters

environment_idstring · uuid

Filter static gates by environment ID (user should have access to the environment).

Example: 8a2b104d-74a6-47f2-b93e-c6b611e82391
namestring

Filter static gates by name.

Example: my-static-gate

Response Body

created_atstring · date-time

The date and time when the static gate was created.

Example: 2021-08-10T10:30:00.000Z
created_bystring · uuid

The ID of the user who created this static gate.

Example: b7bb7578-bff2-42b2-a57f-46c874865296
domainstring

The domain this static gate will proxy requests for.

Example: api.example.com
environment_idstring · uuid

The ID of the environment this static gate is scoped to.

Example: 8a2b104d-74a6-47f2-b93e-c6b611e82391
idstring · uuid

The ID of the static gate.

Example: 1ba1f401-7183-47c5-9e39-e8e257e3c795
namestring

A descriptive name for the static gate.

Example: My Static Gate
updated_atstring · date-time

The date and time when the static gate was last updated.

Example: 2021-08-10T10:30:00.000Z
curl -X GET 'https://api.truto.one/static-gate/{id}' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.truto.one/static-gate/{id}', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/static-gate/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.staticGate.get('<id>');

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.static_gates.get("<id>")
    print(result)

asyncio.run(main())